CREATE TABLE factura_producto_to_informacion_aduanera (factura_id INTEGER, producto_id INTEGER, informacion_aduanera_id INTEGER);
CREATE TABLE plantilla(id_plantilla INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, nombre TEXT NOT NULL, descripcion TEXT NOT NULL, archivo TEXT NOT NULL);
INSERT INTO plantilla VALUES(0, 'EdifactMX', 'Orientacion: Vertical    Tamaño:A4', 'templatePdf');
CREATE TABLE plantilla_tipo_documento ( id_tipo_documento INTEGER NOT NULL, id_plantilla INTEGER NOT NULL, pt_id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL);
INSERT INTO plantilla_tipo_documento VALUES(0,0,1);
INSERT INTO factura_producto_to_informacion_aduanera SELECT factura_id, producto_id, informacion_aduanera_id FROM factura_productos;
CREATE TEMPORARY TABLE factura_productos_backup(factura_id,descripcion,descripcion_larga,unidad,precio,cantidad,producto_id,required_IVA,importe,divisa_name,divisa_value_mxn,cuenta_predial);
INSERT INTO factura_productos_backup SELECT factura_id,descripcion,descripcion_larga,unidad,precio,cantidad,producto_id,required_IVA,importe,divisa_name,divisa_value_mxn,null FROM factura_productos;
DROP TABLE factura_productos;
CREATE TABLE factura_productos(factura_id INTEGER NOT NULL, descripcion TEXT NOT NULL, descripcion_larga TEXT NOT NULL,unidad TEXT NOT NULL, precio REAL NOT NULL, cantidad real NOT NULL, producto_id integer NOT NULL, required_IVA integer NOT NULL, importe REAL NOT NULL,divisa_name TEXT,divisa_value_mxn REAL,cuenta_predial TEXT,PRIMARY KEY (factura_id,producto_id));
INSERT INTO factura_productos SELECT factura_id,descripcion,descripcion_larga,unidad,precio,cantidad,producto_id,required_IVA,importe,divisa_name,divisa_value_mxn,cuenta_predial FROM factura_productos_backup;
DROP TABLE factura_productos_backup;
CREATE TEMPORARY TABLE facturas_backup(factura_id,uuid,descuento,IVA,ret_IVA,ret_ISR,subtotal,IVA_porcentaje,total,forma_pago,metodo_pago,tipo_cambio,serie_id,folio,tipo_documento,tipo_documento_desc,lugar_expedicion,etiqueta_id,ultima_modificacion_fecha,read,acuse_cancelacion_id,condiciones_pago,motivo_descuento,numero_cuenta_pago,folio_fiscal_original,serie_folio_fiscal_original,fecha_folio_fiscal_original,monto_folio_fiscal_original,observaciones);
INSERT INTO facturas_backup SELECT factura_id,uuid,descuento,IVA,ret_IVA,ret_ISR,subtotal,IVA_porcentaje,total,forma_pago,metodo_pago,tipo_cambio,serie_id,folio,tipo_documento,tipo_documento_desc,lugar_expedicion,etiqueta_id,ultima_modificacion_fecha,read,acuse_cancelacion_id,'','','',null,null,null,null,(SELECT observaciones FROM factura_extras WHERE factura_extras.factura_id = facturas.factura_id) FROM facturas;
UPDATE facturas_backup SET observaciones = '' WHERE observaciones ISNULL;
DROP TABLE facturas;
CREATE TABLE facturas(factura_id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL,uuid TEXT,descuento REAL NOT NULL,IVA REAL NOT NULL,ret_IVA REAL NOT NULL,ret_ISR REAL NOT NULL,subtotal REAL NOT NULL,IVA_porcentaje REAL NOT NULL,total REAL NOT NULL,forma_pago TEXT NOT NULL,metodo_pago TEXT NOT NULL,tipo_cambio REAL NOT NULL,serie_id INTEGER,folio INTEGER,tipo_documento TEXT NOT NULL,tipo_documento_desc TEXT NOT NULL,lugar_expedicion TEXT NOT NULL,etiqueta_id INTEGER,ultima_modificacion_fecha TEXT,read BOOLEAN,acuse_cancelacion_id INTEGER,condiciones_pago TEXT,motivo_descuento TEXT,numero_cuenta_pago TEXT,folio_fiscal_original TEXT,serie_folio_fiscal_original TEXT,fecha_folio_fiscal_original TEXT,monto_folio_fiscal_original REAL,observaciones TEXT);
INSERT INTO facturas SELECT factura_id,uuid,descuento,IVA,ret_IVA,ret_ISR,subtotal,IVA_porcentaje,total,forma_pago,metodo_pago,tipo_cambio,serie_id,folio,tipo_documento,tipo_documento_desc,lugar_expedicion,etiqueta_id,ultima_modificacion_fecha,read,acuse_cancelacion_id,condiciones_pago,motivo_descuento,numero_cuenta_pago,folio_fiscal_original,serie_folio_fiscal_original,fecha_folio_fiscal_original,monto_folio_fiscal_original,observaciones FROM facturas_backup;
DROP TABLE facturas_backup;
DROP TABLE factura_extras;
INSERT INTO tipo_documentos VALUES(5, 'RECIBO DE ARRENDAMIENTO', 'ingreso');